libsidplayfp::MOS656X Class Referenceabstract

`#include <mos656x.h>`

Inheritance diagram for libsidplayfp::MOS656X:

## Public Types

enum class | model_t { MOS6567R56A = 0 , MOS6567R8 , MOS6569 , MOS6572 , MOS6573 }

## Public Member Functions

void | event () override
void | chip (model_t model)
void | triggerLightpen ()
void | clearLightpen ()
void | reset ()

## Static Public Member Functions

static const char * | credits ()

## Protected Member Functions

| MOS656X (EventScheduler &scheduler)
virtual void | interrupt (bool state)=0
virtual void | setBA (bool state)=0
uint8_t | read (uint_least8_t addr)
void | write (uint_least8_t addr, uint8_t data)

## Detailed Description

MOS 6567/6569/6572/6573 emulation. Not cycle exact but good enough for SID playback.

## Member Enumeration Documentation

## model_t

enum class libsidplayfp::MOS656X::model_t

strong

Enumerator
MOS6567R56A | OLD NTSC CHIP.
MOS6567R8 | NTSC-M.
MOS6569 | PAL-B.
MOS6572 | PAL-N.
MOS6573 | PAL-M.

## Member Function Documentation

## chip()

void libsidplayfp::MOS656X::chip | ( | model_t | model | ) |

Set chip model.

## clearLightpen()

void libsidplayfp::MOS656X::clearLightpen | ( |  | ) |

Clears the lightpen usage flag.

## event()

void libsidplayfp::MOS656X::event | ( |  | ) |

override virtual

Event code to be executed. Events are allowed to safely reschedule themselves with the EventScheduler during invocations.

Implements libsidplayfp::Event.

## read()

uint8_t libsidplayfp::MOS656X::read | ( | uint_least8_t | addr | ) |

protected

Read VIC register.

Parameters

  addr | Register to read.

## reset()

void libsidplayfp::MOS656X::reset | ( |  | ) |

Reset VIC II.

## triggerLightpen()

void libsidplayfp::MOS656X::triggerLightpen | ( |  | ) |

Trigger the lightpen. Sets the lightpen usage flag.

## write()

void libsidplayfp::MOS656X::write | ( | uint_least8_t | addr,
|  | uint8_t | data
| ) |  |

protected

Write to VIC register.

Parameters

  addr | Register to write to.
  data | Data byte to write.

The documentation for this class was generated from the following files:

- mos656x.h
- mos656x.cpp